# Movie API 
## Nodejs, Express, Knex, Postgresql, Docker and Nginx as Proxy Server 

Backend and Frontend are used as services using docker-compose 

 Movie api is created using express server. Admin user can perform operations.
 Knex Query builder is used to create SQL query using javascript.
 Migrations and Seeding is also performed.
 API testing using JEST is performed.

### To run App use a command which will run the service and make db connection.

--> docker-compose up 

#### Happy Coding enjoy :)
